import { ReactElement } from 'react';

import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

import { AccordionContentTypeObject, AccordionVariant, NsCollapse } from '../';
import NsAccordionStory from './NsAccordion.stories';

type ComponentType = typeof NsCollapse;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Containers/Accordion/NsCollapse',
    component: NsCollapse,
    decorators: [withCenterDecorator],
    argTypes: {
        isOpen: {
            control: 'boolean',
            description: 'if true renders NsCollapse in open state, and close state otherwise',
        },
        content: {
            control: 'React Node',
            description: 'Content for NsCollapse',
        },
        allowMultipleExpanded: {
            control: 'boolean',
            description: 'This prop is useful when content is an array of accordion items',
        },
        type: {
            control: 'select',
            values: Object.values(AccordionContentTypeObject),
            description: 'This type should exactly match the content type to have accordion work correctly',
        },
        level: NsAccordionStory.argTypes.level,
        variant: NsAccordionStory.argTypes.variant,
    },
    args: {
        variant: AccordionVariant.Compact,
    },
} as MetaStory;
export const Closed: Story = {
    args: {
        isOpen: false,
        content: (<div className="p-2">Nuskin Description</div>) as ReactElement,
    },
};
export const Open: Story = {
    args: {
        isOpen: true,
        content: (<div className="p-2">Nuskin Description</div>) as ReactElement,
    },
};
