import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { AccordionVariant, NsToggleSection } from '../..';
import NsAccordionStory from './NsAccordion.stories';
import { ReactElement } from 'react';

type ComponentType = typeof NsToggleSection;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Containers/Accordion/NsToggleSection',
    component: NsToggleSection,
    decorators: [withCenterDecorator],
    argTypes: {
        level: NsAccordionStory.argTypes.level,
        variant: NsAccordionStory.argTypes.variant,
        title: { control: 'string' },
    },
    args: {
        variant: AccordionVariant.Compact,
        title: 'Nuskin',
        content: (<div className="p-2">Nuskin Details</div>) as ReactElement,
    },
} as MetaStory;

export const DefaultAccordion: Story = {};
