import { ReactNode, CSSProperties } from 'react';

export interface NsAlertProps {
    context?: string;
    title?: string;
    threshold?: number;
    type?: string;
    visible?: boolean;
    head?: ReactNode;
    body?: ReactNode;
    onDismiss?: () => void;
    foot?: ReactNode;
}

export interface HeaderProps {
    children?: ReactNode; // Default slot content
    head?: ReactNode; // Content for the "head" named slot (optional)
}

export type AlertContainerParams = {
    visible: boolean;
};

export type ContextType = 'error' | 'info' | 'notice' | 'success' | 'warning';
export type AlertType = 'auto' | 'banner' | 'card';

export type AlertParams = {
    context: ContextType;
    type: AlertType;
};

export type CustomCSSProperties = CSSProperties & {
    minHeight?: string;
    contentColumnStart?: string;
    contentColumnEnd?: string;
    barPosition?: string;
    footVisibility?: string;
    footDisplay?: string;
};

export interface TypeMapCSS {
    banner: CustomCSSProperties;
    card: CustomCSSProperties;
    auto?: CustomCSSProperties;
}
