import { ReactElement } from 'react';

import { styled } from '@nuskin/foundation-theme';

import { NsTypography } from '../../typography';

type AutoCompleteButtonProps = {
    text: string;
    show: boolean;
    onClick(): void;
    testId?: string;
    recentSearchText: string;
};
export const StyledClear = styled(NsTypography)`
    margin: 4px 8px;
    :hover {
        opacity: 0.5;
    }
`;
const TypoWrapper = styled(NsTypography)`
    margin: 4px 8px;
`;
export const RecentClearAll = (props: AutoCompleteButtonProps): ReactElement | null => {
    const { show, onClick, text, testId, recentSearchText } = props;
    if (!show) {
        return null;
    }
    return (
        <li className="justify-between flex p-0 m-0" onClick={onClick}>
            <TypoWrapper data-testid={testId} variant="body-m" weight="bold">
                {recentSearchText}
            </TypoWrapper>
            <StyledClear
                data-testid={testId}
                variant="body-m"
                weight="bold"
                className="cursor-pointer hover:opacity-40"
            >
                {text}
            </StyledClear>
        </li>
    );
};
