/* eslint-disable @next/next/no-img-element */
import { ReactNode } from 'react';

import { ListUiProps, NsIcon, NsTypography } from '../..';
import { ListStyled } from './Mock.styled';

const OptionUiComponent = (props: ListUiProps): ReactNode => {
    const { option } = props;
    return (
        <ListStyled {...props}>
            <div className="item-description" role="link" tabIndex={0}>
                <NsTypography aria-label="Nu Skin Tumbler" variant="body-m" colorOverride="#63666A">
                    <img src={option.image} alt="No-image" />
                    {option?.value}
                </NsTypography>
            </div>
            {option.icon ? (
                <div className="add-to-cart-button" role="button" tabIndex={0} aria-label="add to cart">
                    <NsIcon name={option.icon} size="small" />
                </div>
            ) : null}
        </ListStyled>
    );
};

export { OptionUiComponent };
