/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsBanner.tsx
 * @description NsBanner component with a image background
 */

import React, { PropsWithChildren, ReactElement } from 'react';

import { getBasicDATWidthHeight } from '../image/bynder-util';
import { BynderMedia } from '../image/BynderMedia';
import { StyledBanner, StyledHeroText } from './NsBanner.styled';
import { NsBannerProps } from './types.d';

const NsBanner = (props: PropsWithChildren<NsBannerProps>): ReactElement => {
    const { children, image, alignment = 'center', justify = 'start', className = '', additionalProps = {} } = props;

    return (
        <StyledBanner className={className}>
            <BynderMedia
                className="image"
                imageDetail={image}
                {...additionalProps}
                suffix={getBasicDATWidthHeight(1100, 600, 'scale')}
            />
            <StyledHeroText $alignment={alignment} $justify={justify}>
                <div className="mx-14">{children}</div>
            </StyledHeroText>
        </StyledBanner>
    );
};

export default NsBanner;
