import React from 'react';
import { render, screen } from '@testing-library/react';
import { NsBreadcrumb } from './';
import { breadcrumbItems, dummyItems } from './data';
const { getByText } = screen;

describe('Breadcrumb', () => {
    it('1. renders breadcrumb items', () => {
        render(<NsBreadcrumb items={breadcrumbItems} />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });

    it('2. renders breadcrumb items with navigation icons', () => {
        render(<NsBreadcrumb items={breadcrumbItems} />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });

    it('3. renders breadcrumb items with navigation icons', () => {
        render(<NsBreadcrumb items={dummyItems} />);
        expect(getByText('Home')).toBeInTheDocument();
    });
});
