import { styled } from '@nuskin/foundation-theme';
import { NsLink } from '../link';

export const BreadcrumbContainer = styled.nav`
    margin-bottom: 10px;
`;

export const BreadcrumbList = styled.ol`
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
`;

export const BreadcrumbItem = styled.li`
    display: flex;
    align-items: center;
    :not(:first-of-type) {
        margin-left: 12px;
    }
    & a {
        display: flex;
        gap: 8px;
        margin-right: 12px;
    }
    .slashIcon {
        transform: rotate(20deg);
    }
`;

export const BreadcrumbStyledLink = styled(NsLink)<{ underlineVisibility?: boolean }>`
    text-decoration: ${({ underlineVisibility }) => (underlineVisibility ? 'underline' : 'none')};
    text-underline-offset: 4px;
    font-weight: 700;
`;
