import React from 'react';
import { render, screen } from '@testing-library/react';
import NsAwardCard from '../NsAwardCard';
import { ImageData1 } from '../fixtures/ImageData1';

describe('NsHeroCardLevel1 component', () => {
    const props = {
        title: 'AgeLoc LumiSpa iO',
        awardName: '2023 Bronze Winner',
        mediaOutlet: 'Edison Awards',
        backgroundImageDetail: ImageData1,
    };

    it('1. renders with correct content and styles', () => {
        render(<NsAwardCard {...props} />);

        const awardCard = screen.getByTestId('award-card');
        expect(awardCard).toBeInTheDocument();

        const title = screen.queryByText('AgeLoc LumiSpa iO');
        expect(title).toBeInTheDocument();

        const awardName = screen.queryByText('2023 Bronze Winner');
        expect(awardName).toBeInTheDocument();

        const mediaOutlet = screen.queryByText('Edison Awards');
        expect(mediaOutlet).toBeInTheDocument();
    });
});
