import type { StoryObj, Meta } from '@storybook/react';
import { NsHeroCardLevel2 } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsHeroCardLevel2;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsHeroCardLevel2,
    title: 'Components/Containers/Card/NsHeroCardLevel2',
} as MetaStory;

export const Default: Story = {
    args: {
        cardTitle: 'Current shop deals',
        cardDescription: 'Lumispa, sunscreen and more',
        brandName: 'Beauty focus™',
        backgroundImageDetail: ImageData1,
        button: {
            showButton: true,
            endIcon: 'arrowRight',
            buttonText: 'Discover more',
            buttonVariant: 'text',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
        },
    },
};
