import { ReactElement } from 'react';

import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type {
    Meta,
    StoryObj,
} from '@storybook/react';

import { NsGridColumns } from '../';
import {
    childrenMapping,
    selectDivOptions,
} from './common';
import {
    DivArray,
    DivArrayRandom,
} from './DivArray';

type ComponentType = typeof NsGridColumns;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/Column/NsGridColumns',
    component: NsGridColumns,
    decorators: [withCenterDecorator],
    argTypes: {
        columnClass: {
            control: 'text',
            defaultValue: 'ns-col-lg-1-1-1 ns-col-md-1-1 ns-col-sm-1',
        },
        gap: {
            control: 'number',
            defaultValue: 16,
        },
        children: {
            control: {
                type: 'select',
                options: selectDivOptions,
            },
            defaultValue: (<DivArrayRandom elementsCount={8} />) as ReactElement,
            mapping: childrenMapping,
        },
    },
    args: {
        columnClass: '',
        children: (<DivArrayRandom elementsCount={12} />) as ReactElement,
    },
} as MetaStory;

export const DefaultColumnControl: Story = {
    args: {
        children: (<DivArray elementsCount={8} />) as ReactElement,
    },
};
export const TwoColumn11: Story = {
    args: { columnClass: 'ns-col-lg-1-1' },
};
export const TwoColumn21: Story = {
    args: { columnClass: 'ns-col-lg-2-1' },
};

export const ThreeColumn211: Story = {
    args: { columnClass: 'ns-col-lg-2-1-1' },
};
export const ThreeColumn121: Story = {
    args: { columnClass: 'ns-col-lg-1-2-1' },
};
export const ThreeColumn111: Story = {
    args: { columnClass: 'ns-col-lg-1-1-1' },
};

export const FourColumn1111: Story = {
    args: { columnClass: 'ns-col-lg-1-1-1-1' },
};
