import React from 'react';
import { render } from '@testing-library/react';
import { BynderMedia } from './BynderMedia';
import { ImageData1 } from '../card/fixtures/ImageData1';

describe('BynderMedia', () => {
    const imageDetail = ImageData1;
    const suffix = 'mockSuffix';
    const className = 'mockClassName';
    const testId = 'mockTestId';
    const liveTag = { 'data-cslp': 'cslp' };

    it('1. renders video element for type VIDEO', () => {
        const selected = { url: 'mockVideoUrl', type: 'VIDEO' };
        const previewUrls = ['mockPreviewUrl1', 'mockPreviewUrl2'];
        const isPublic = true;
        const { container } = render(
            <BynderMedia
                imageDetail={{ ...imageDetail, files: {}, selected: selected as any, previewUrls, isPublic }}
                suffix={suffix}
                className={className}
                testId={testId}
                liveTag={liveTag}
            />
        );
        expect(container.querySelector('video')).toBeInTheDocument();
    });

    it('2. renders default element for non-VIDEO type', () => {
        const { container } = render(
            <BynderMedia
                imageDetail={imageDetail}
                suffix={suffix}
                className={className}
                testId={testId}
                liveTag={liveTag}
            />
        );
        expect(container.querySelector('video')).not.toBeInTheDocument();
        expect(container.querySelector('img')).toBeInTheDocument();
    });
});
