/* eslint-disable no-unused-vars */
import { ImageProps } from 'next/image';

export type NsNextImageProps = Pick<
    ImageProps,
    | 'src'
    | 'height'
    | 'width'
    | 'alt'
    | 'priority'
    | 'sizes'
    | 'quality'
    | 'placeholder'
    | 'style'
    | 'loading'
    | 'blurDataURL'
    | 'fill'
    | 'unoptimized'
    | 'loader'
> & { id?: string; className?: string };

export type NsImageProps = {
    alt: string;
    className?: string;
    fill?: boolean;
    height?: number | string;
    id?: string;
    src: string;
    variant?: 'product' | 'award' | 'icon' | 'fill';
    width?: number | string;
};

/** types */
export type DATOptions = { width?: number; height?: number; transform: 'fill' | 'scale' };
export type BynderImageDataType = {
    /** selected is manually added, using additionalInfo from bynder */
    selected?: {
        url: string;
        fileSize: number | null;
        width: number | null;
        height: number | null;
        imageType?: string;
        type: 'VIDEO' | 'IMAGE';
        altText?: string;
        fit: 'cover' | 'contain' | 'scale-down' | 'none';
        position: string;
        bgColor: string;
    };
    isPublic: boolean;
    __typename?: 'Image';
    id: string;
    name: string;
    description: string | null;
    databaseId: string;
    originalUrl?: string;
    type: 'VIDEO' | 'IMAGE' | 'DOCUMENT';
    url?: string;
    previewUrls?: string[];
    extensions?: string[];
    textMetaproperties?: ({
        name: string;
        value: string;
    } | null)[];
    files: {
        [key: string]: {
            url: string;
            width: number | null;
            height: number | null;
            fileSize: number | null;
        };
    };
};

export enum ImageType {
    defaultPreset = 'defaultPreset',
    customTransformation = 'customTransformation',
    transformBaseUrl = 'transformBaseUrl',
}
