import { render, screen } from '@testing-library/react';
import NsInputField from './NsInputField';
import { nuskinTheme } from '@nuskin/foundation-theme';
const { colors } = nuskinTheme;

const { getByTestId } = screen;
describe('NsInputField', () => {
    it('should render component', () => {
        render(<NsInputField fullWidth />);
        const Input = getByTestId('ns-input-field');
        expect(Input).toBeTruthy();
    });
    it('should render component', () => {
        render(<NsInputField fullWidth fieldState="error" />);
        const Input = getByTestId('ns-input-field');
        const fieldset = Input.querySelector('fieldset');
        expect(fieldset).toHaveStyle(`border: 1px solid ${colors.red[20]}`);
    });
    it('should render component', () => {
        render(<NsInputField fullWidth fieldState="success" />);
        const Input = getByTestId('ns-input-field');
        const fieldset = Input.querySelector('fieldset');
        expect(fieldset).toHaveStyle(`border: 1px solid ${colors.success[40]}`);
    });
});
