import {
    ReactElement,
    useMemo,
} from 'react';

import { DialogContent } from '@mui/material';

import { NsTypography } from '../../';
import { NsModalComponentProps } from '../types';
import NsModalTitle from './NsModalTitle';

const NsModalContentBox = ({ handleClose, statusInfo }: NsModalComponentProps): ReactElement => {
    const { title, description } = statusInfo || {};

    const header = useMemo(() => {
        return {
            show: true,
            children: (
                <NsTypography variant="h5" weight="bold">
                    {title}
                </NsTypography>
            ),
            isCloseIcon: true,
        };
    }, [title]);

    return (
        <div>
            <NsModalTitle header={header} handleClose={handleClose} />
            <DialogContent>
                <NsTypography variant="body-xs">{description}</NsTypography>
            </DialogContent>
        </div>
    );
};

export default NsModalContentBox;
