import { ReactElement } from 'react';

import { NsInfoWrapper } from '../NsModal.styled';
import { NsModalComponentProps } from '../types';
import NsModalContentBox from './NsModalContentBox';
import NsModalStatusIcon from './NsModalStatusIcon';

const NsStatusModal = ({ handleClose, statusInfo, variant }: NsModalComponentProps): ReactElement => {
    return (
        <NsInfoWrapper data-testid="modal-status">
            <NsModalStatusIcon {...{ variant }} />
            <NsModalContentBox {...{ handleClose, statusInfo }} />
        </NsInfoWrapper>
    );
};

export default NsStatusModal;
