import { ElementType } from 'react';
import NsDefaultModal from '../helper-component/NsModalDefault';
import NsStatusModal from '../helper-component/NsModalStatus';
import { StatusIconMapProps } from '../types';

type ModalMapType = {
    [key: string]: ElementType;
};

export const ModalVariantMap: ModalMapType = {
    default: NsDefaultModal,
    confirmation: NsDefaultModal,
    success: NsStatusModal,
    warning: NsStatusModal,
    error: NsStatusModal,
    info: NsStatusModal,
};

export const StatusIconMap: StatusIconMapProps = {
    success: 'success',
    warning: 'warning',
    error: 'error',
    info: 'infoFilled',
};
