import { NsButton } from '../../button';
import { NsTypography } from '../../typography';

export const NsModalData = {
    open: true,
    handleClose: () => {},
    variant: 'default',
    header: {
        show: true,
        children: (
            <NsTypography variant="h4" weight="bold">
                Dialog with hero icon
            </NsTypography>
        ),
        isCloseIcon: true,
        iconName: 'infoOutlined',
    },
    body: {
        show: true,
        children: (
            <NsTypography variant="body-s">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquet sed odio donec tellus nibh dictum quis.
                Dis tempus aliquam tristique auctor justo, lacus in pellentesque. Quam semper facilisi posuere hendrerit
                scelerisque sed.
            </NsTypography>
        ),
    },
    statusInfo: {
        title: 'Are you sure you want to delete your account?',
        description: `Lorem ipsum dolor sit amet, consectetur adipiscing elit, 
            sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.`,
    },
    footer: {
        show: true,
        children: (
            <>
                <NsButton onClick={() => {}} variant="outlined">
                    Cancel
                </NsButton>
                <NsButton onClick={() => {}} variant="contained">
                    Confirm
                </NsButton>
            </>
        ),
    },
};
