import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

import { ImageData1 } from '../card/fixtures/ImageData1';
import { NsNavProductCard } from './';

type ComponentType = typeof NsNavProductCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Navigation/NsNavProductCard',
    component: NsNavProductCard,
    decorators: [withCenterDecorator],
    args: {
        productDescription: `ageLOC LumiSpa iO pairs an intelligent,one-of-a-kind
    device that uses patented technology with powerful products. The results? You get the skin of your dreams.`,
        productName: 'ageLOC® LumiSpa® iO',
        className: 'justify-center',
        // eslint-disable-next-line max-len -- disabling for links
        productImg: ImageData1,
    },
} as MetaStory;

export const NavProductCard: Story = {};
