import {
    ReactElement,
    ReactNode,
} from 'react';

import { Show } from '../utility';
import {
    NavDrawerContainer,
    NavDrawerStyled,
} from './NsNavTab.styled';

type NavDrawerProps = {
    active: string | null;
    showDrawer: boolean;
    content: ReactNode;
};
export const NavDrawer = ({ active, showDrawer, content }: NavDrawerProps): ReactElement => {
    return (
        <NavDrawerStyled data-testid="nav-drawer-container" className="nav-drawer">
            <Show when={Boolean(active) && showDrawer}>
                <NavDrawerContainer
                    data-testid="nav-drawer"
                    initial={{
                        height: 0,
                    }}
                    animate={{
                        height: 'auto',
                    }}
                    exit={{
                        height: 0,
                    }}
                    transition={{
                        duration: 0.3,
                    }}
                >
                    <div className="drawer-container">{content}</div>
                </NavDrawerContainer>
            </Show>
        </NavDrawerStyled>
    );
};
