import React, { ReactElement } from 'react';

import { ProgressInfo, StyledCheckCircle, StyledLinearProgress, StyledProgress } from './NsProgress.styled';
import { NsProgressProps } from './types';

const NsProgress = (props: NsProgressProps): ReactElement => {
    const { barColor, backgroundColor, height, value, body } = props;
    return (
        <StyledProgress className="ns-progress">
            <ProgressInfo variant="body-xs" className="progress-info">
                {value}
                <span>{body ?? ' % Complete'}</span>
            </ProgressInfo>
            <div className="progress-bar">
                <StyledLinearProgress
                    variant="determinate"
                    role="progressbar"
                    value={value}
                    height={height}
                    barColor={barColor}
                    backgroundColor={backgroundColor}
                />
                <StyledCheckCircle />
            </div>
        </StyledProgress>
    );
};

export default NsProgress;
