import { fireEvent, render } from '@/test-utils/index';
import React from 'react';

import { NsSelectOption } from '../';

describe('NsSelectOption', () => {
    it('1. renders NsSelectOption component without errors', () => {
        const value = 'option1';
        const label = 'Option 1';
        const onClick = jest.fn();
        const { getByTestId, getByText } = render(
            <NsSelectOption value={value} label={label} index={1} onClick={onClick} />
        );

        // Check if the option container element exists
        const optionContainer = getByTestId(`option-${value}`);
        expect(optionContainer).toBeInTheDocument();

        // Check if the option label is rendered correctly
        const optionLabel = getByText(label);
        expect(optionLabel).toBeInTheDocument();
    });
    it('2. clicking on NsSelectOption selects the option', () => {
        const value = 'option1';
        const label = 'Option 1';
        const onClick = jest.fn();
        const { getByTestId } = render(<NsSelectOption value={value} label={label} onClick={onClick} index={1} />);
        const optionElement = getByTestId(`option-${value}`);
        fireEvent.click(optionElement);
        expect(onClick).toHaveBeenCalled();
    });
});
