import React from 'react';
import { render, screen } from '@/test-utils/index';
import NsSpinner from './NsSpinner';

describe('NsSpinner', () => {
    test('1.renders spinner', () => {
        const { container } = render(<NsSpinner additionalProps={{ 'data-testid': 'spinner' }} />);

        expect(screen.getByTestId('spinner')).toBeInTheDocument();
        expect(container.getElementsByTagName('svg')).toHaveLength(1);
        expect(screen.getByTestId('spinner')).toHaveStyle('width:100px');
    });

    test('2.renders spinner with different size', () => {
        render(<NsSpinner size={200} additionalProps={{ 'data-testid': 'spinner' }} />);

        expect(screen.getByTestId('spinner')).toBeInTheDocument();
        expect(screen.getByTestId('spinner')).toHaveStyle('width:200px');
        expect(screen.getByTestId('spinner')).toHaveStyle('height:200px');
    });
});
