import React, { ReactElement } from 'react';

import { StyledPagination } from './NsTable.styled';
import type { NsTablePaginationProps } from './types';

export default function NsTablePagination(props: NsTablePaginationProps): ReactElement {
    const { count, rowsPerPage, page, onPageChange } = props;

    const totalPage = Math.ceil(count / rowsPerPage);
    const handleChange = (event: React.ChangeEvent<unknown>, value: number) => {
        onPageChange(value);
    };

    return (
        <StyledPagination
            count={totalPage}
            page={page}
            variant="outlined"
            onChange={handleChange}
            shape="rounded"
            color="primary"
        />
    );
}
