import React from 'react';
import { render } from '@testing-library/react';

import NsVideo from './NsVideo';

describe('IframeVideo', () => {
    it('renders an Iframe with the correct props', () => {
        const src = 'https://www.youtube.com/embed/12345';
        const title = 'My Video';
        const width = '560';
        const height = '315';
        const allowFullScreen = true;

        const { getByTitle } = render(
            <NsVideo src={src} title={title} width={width} height={height} allowFullScreen={allowFullScreen} />
        );

        const iframeElement = getByTitle(title);

        expect(iframeElement).toBeInTheDocument();
        expect(iframeElement).toHaveAttribute('src', src);
        expect(iframeElement).toHaveAttribute('width', width);
        expect(iframeElement).toHaveAttribute('height', height);
        expect(iframeElement).toHaveAttribute('allowfullscreen');
    });
});
