/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsVideo.tsx
 * @description NsVideo component with a Iframe video url props
 */

import {
    PropsWithChildren,
    ReactElement,
} from 'react';

import { NsVideoProps } from './types.d';

const NsVideo = (props: PropsWithChildren<NsVideoProps>): ReactElement => {
    const { src, title, width, height, allowFullScreen } = props;
    return (
        <iframe
            title={title}
            src={src}
            width={width}
            height={height}
            allowFullScreen={allowFullScreen}
            style={{ border: '0' }}
        />
    );
};

export default NsVideo;
